Skip to main content
POST
/
api
/
{projectId}
/
post-processing
/
{postProcessingId}
/
samples
/
{sampleId}
Check post-processing results for sample
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}/samples/{sampleId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "config": {
    "enabled": true,
    "parameters": {}
  }
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}/samples/{sampleId}"

payload = { "config": {
"enabled": True,
"parameters": {}
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: {enabled: true, parameters: {}}})
};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}/samples/{sampleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>",
  "results": {
    "objectTracking": {
      "frames": [
        {
          "frameIndex": 123,
          "objects": [
            {
              "label": "<string>",
              "id": 123,
              "x": 123,
              "y": 123,
              "width": 123,
              "height": 123
            }
          ]
        }
      ],
      "parameters": {}
    },
    "objectDetection": {
      "frames": [
        {
          "frameIndex": 123,
          "objects": [
            {
              "label": "<string>",
              "x": 123,
              "y": 123,
              "width": 123,
              "height": 123,
              "score": 123
            }
          ]
        }
      ]
    }
  },
  "jobIsRunning": {
    "jobId": 123,
    "config": {
      "enabled": true,
      "parameters": {}
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

postProcessingId
integer
required

Post-processing Block ID, use the impulse functions to retrieve the ID

sampleId
integer
required

Sample ID

Body

application/json
config
object
required
variant
enum<string>
required
Available options:
int8,
float32,
akida

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

hasResults
enum<string>
required
Available options:
has-results,
job-is-running,
no-results
error
string

Optional error description (set if 'success' was false)

results
object
jobIsRunning
object